# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextBrowser Class Reference

Extended QTextBrowser. More...

`#include <ktextbrowser.h>`

Inheritance diagram for KTextBrowser:

[legend]
Collaboration diagram for KTextBrowser:

[legend]
List of all members.

## Signals

void | mailClick (const QString &name, const QString &address)
void | urlClick (const QString &url)

## Public Member Functions

| KTextBrowser (QWidget *parent=0, const char *name=0, bool notifyClick=false)
| ~KTextBrowser (void)
void | setNotifyClick (bool notifyClick)
bool | isNotifyClick () const

## Protected Member Functions

void | setSource (const QString &name)
virtual void | keyPressEvent (QKeyEvent *e)
virtual void | viewportMouseMoveEvent (QMouseEvent *e)
virtual void | contentsWheelEvent (QWheelEvent *e)
virtual QPopupMenu * | createPopupMenu (const QPoint &pos)
virtual void | virtual_hook (int id, void *data)

## Properties

bool | notifyClick

## Detailed Description

Extended QTextBrowser.

An extended QTextBrowser.

By default it will invoke the system mailer or the system browser when a link is activated, or it can emit the signal urlClick() or mailClick() when a link is activated.

KDE Text Browser

Author:
  Espen Sand (espensa@online.no)

Definition at line 42 of file ktextbrowser.h.

## Constructor & Destructor Documentation

KTextBrowser::KTextBrowser | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | notifyClick = `false`
| ) |

Constructor.

Parameters:

  | parent | Parent of the widget.
  | name | Widget name.
  | notifyClick | `true` causes signals to be emitted.

Definition at line 29 of file ktextbrowser.cpp.

KTextBrowser::~KTextBrowser | ( | void |  | ) |

| Destructor. Definition at line 39 of file ktextbrowser.cpp.

## Member Function Documentation

void KTextBrowser::setNotifyClick | ( | bool | notifyClick | ) |

Decide whether a click on a link should be handled internally or if a signal should be emitted.

Parameters:

  | notifyClick | `true` causes signals to be emitted.

Definition at line 44 of file ktextbrowser.cpp.

bool KTextBrowser::isNotifyClick | ( |  | ) | const

| Returns whether a click on a link should be handled internally or if a signal should be emitted. Definition at line 50 of file ktextbrowser.cpp.

void KTextBrowser::setSource | ( | const QString & | name | ) | `[protected]`

| Reimplemented to NOT set the source but to do the special handling. Do not call. Reimplemented from QTextBrowser. Definition at line 56 of file ktextbrowser.cpp. References QString::find(), QString::isNull(), mailClick(), and urlClick().

void KTextBrowser::keyPressEvent | ( | QKeyEvent * | e | ) | `[protected, virtual]`

| Makes sure Key_Escape is ignored. Reimplemented from QTextBrowser. Definition at line 88 of file ktextbrowser.cpp. References QTextBrowser::keyPressEvent().

void KTextBrowser::viewportMouseMoveEvent | ( | QMouseEvent * | e | ) | `[protected, virtual]`

| Make sure we use our own hand cursor. Definition at line 104 of file ktextbrowser.cpp.

void KTextBrowser::contentsWheelEvent | ( | QWheelEvent * | e | ) | `[protected, virtual]`

| Reimplemented to support Qt2 behavior (Ctrl-Wheel = fast scroll). Definition at line 113 of file ktextbrowser.cpp. References QScrollView::contentsWheelEvent().

QPopupMenu * KTextBrowser::createPopupMenu | ( | const QPoint & | pos | ) | `[protected, virtual]`

| Re-implemented for internal reasons. API not affected. See QLineEdit::createPopupMenu(). Definition at line 121 of file ktextbrowser.cpp. References QPopupMenu::changeItem(), QPopupMenu::idAt(), and QPopupMenu::text().

void KTextBrowser::mailClick | ( | const QString & | name,
|  | const QString & | address
| ) | `[signal]`

Emitted when a mail link has been activated and the widget has been configured to emit the signal.

Parameters:

  | name | The destination name. It is QString::null at the moment.
  | address | The destination address.

Referenced by setSource().

void KTextBrowser::urlClick | ( | const QString & | url | ) | `[signal]`

Emitted if mailClick() is not emitted and the widget has been configured to emit the signal.

Parameters:

  | url | The destination address.

Referenced by setSource().

The documentation for this class was generated from the following files:

- ktextbrowser.h
- ktextbrowser.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:29 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003